Summary:	Conspy - remote control of Linux virtual consoles
Summary(pl.UTF-8):	Conspy - zdalne sterowanie wirtualnymi konsolami Linuksa
Name:		conspy
Version:	1.8
Release:	3
License:	EPL v1.0
Group:		Applications
Source0:	http://ace-host.stuart.id.au/russell/files/conspy/%{name}-%{version}.tar.gz
# Source0-md5:	95205912d2f832665223e0c0adc0a61a
Patch0:		tinfo.patch
URL:		http://ace-host.stuart.id.au/russell/files/conspy/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conspy allows a (possibly remote) user to see what is displayed on a
Linux virtual console, and send keystrokes to it. It only works with
Linux, as far as I know.

It is rather like VNC, but where VNC takes control of a GUI conspy
takes control of a text mode virtual console. Unlike VNC, conspy does
not require a server to be installed prior to being used.

%description -l pl.UTF-8
Conspy pozwala (także zdalnemu) użytkownikowi patrzeć, co jest
wyświetlane na wirtualnej konsoli Linuksa i wysyłać na nią wciśnięcia
klawiszy. Jak na razie działa tylko z Linuksem.

Przypomina nieco VNC, ale o ile VNC przejmuje kontrolę nad
środowiskiem graficznym, conspy przejmuje kontrolę nad wirtualną
konsolą w trybie tekstowym. W przeciwieństwie do VNC conspy nie wymaga
zainstalowania serwera przed używaniem.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	 CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/conspy
%{_mandir}/man1/conspy.1*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conspy.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 711ee1f
- ncurses rebuild
- release 3 (by relup.sh)

* Mon Sep 26 2011 Elan Ruusamäe <glen@pld-linux.org> bb99235
- release 2

* Mon Apr 18 2011 Elan Ruusamäe <glen@pld-linux.org> 6ec07d9
- up to 1.8

* Sun Sep 05 2010 Elan Ruusamäe <glen@pld-linux.org> 3d6f9e3
- up to 1.7

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> fa7130f
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b384350
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f42f95
- converted to UTF-8

* Thu Mar 02 2006 darekr <darekr@pld-linux.org> e520144
- updated to 1.4

* Mon Jan 16 2006 hawk <hawk@pld-linux.org> cecbea6
- updated to 1.3

* Sun Jan 08 2006 Jakub Bogusz <qboosh@pld-linux.org> e8c3878
- pl

* Sun Jan 08 2006 areq <areq@pld-linux.org> e7f1cb6
- init PLD spec

